%define formats  pxe rom zrom

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name: 		etherboot
Version: 	5.4.4
Release: 	1
Summary: 	Etherboot collection of boot roms
Group: 		Development/Tools
License: 	GPLv2
URL: 		http://etherboot.org
# The original source:
#Source0: http://kernel.org/pub/software/utils/boot/etherboot/%{name}-%{version}.tar.gz
# The source without proto_fsp.c:
Source0: 	%{name}-%{version}-nofsp.tar.gz
# The script used to remove the proto_fsp.c files:
Source2: 	strip-etherboot-tarball.sh
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: perl
BuildRequires: syslinux
BuildRequires: mtools


%package pxes
Summary: Etherboot - boot roms in .pxe format
Group: Development/Tools

%package roms
Summary: Etherboot - boot roms in .rom format
Group: Development/Tools
Requires: %{name}-roms-kvm

%package roms-kvm
Summary: Etherboot - boot roms supported by KVM, .rom format
Group: Development/Tools

%package zroms
Summary: Etherboot - boot roms in .zrom format
Group: Development/Tools
Requires: %{name}-zroms-kvm

%package zroms-kvm
Summary: Etherboot - boot roms supported by KVM, .zrom format
Group: Development/Tools

%description
Etherboot is a software package for creating ROM images that can
download code over an Ethernet network to be executed on an x86
computer. Many network adapters have a socket where a ROM chip can be
installed. Etherboot is code that can be put in such a ROM


%description pxes
Etherboot is a software package for creating ROM images that can
download code over an Ethernet network to be executed on an x86
computer. Many network adapters have a socket where a ROM chip can be
installed. Etherboot is code that can be put in such a ROM

This package contains the Etherboot roms in .pxe format.


%description roms
Etherboot is an open source (GPL) network bootloader. It provides a direct
replacement for proprietary PXE ROMs, with many extra features such as
DNS, HTTP, iSCSI, etc

This package contains the Etherboot roms in .rom format.


%description roms-kvm
This package contains the etherboot ROMs for devices emulated by KVM,
in .rom format.


%description zroms
Etherboot is an open source (GPL) network bootloader. It provides a direct
replacement for proprietary PXE ROMs, with many extra features such as
DNS, HTTP, iSCSI, etc

This package contains the Etherboot roms in .zrom format.


%description zroms-kvm
This package contains the etherboot ROMs for devices emulated by KVM,
in .zrom format.


%prep
%setup -q

%build
cd src

# undi is broken by now
sed -i -e '/undi/d' Families
make %{?_smp_mflags} allpxes allroms allzroms


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_datadir}/%{name}/
pushd src/bin/
for fmt in %{formats};do
	for img in *.${fmt};do
		cp $img %{buildroot}/%{_datadir}/%{name}/
		echo %{_datadir}/%{name}/$img >> ../../${fmt}.list
	done
done
popd


# the roms supported by kvm will be packaged separatedly
# remove from the main rom list and add them to kvm.list
for fmt in rom zrom;do 
	for rom in ne e1000-82542 pcnet32 rtl8139 virtio-net;do
		sed -i -e "/\/${rom}.${fmt}/d" ${fmt}.list
		echo %{_datadir}/%{name}/${rom}.${fmt} >> kvm.${fmt}.list
	done
done

%clean
rm -rf %{buildroot}


%files pxes -f pxe.list
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}

%files roms -f rom.list
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}

%files roms-kvm -f kvm.rom.list
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}

%files zroms -f zrom.list
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}

%files zroms-kvm -f kvm.zrom.list
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}


%changelog
* Thu Feb 28 2009 Christian Metzen <metzench@ccux-linux.de> 5.4.4-1
- Initial release
